diff -r a293b21e7c58 sys/cam/ata/ata_xpt.c
--- a/sys/cam/ata/ata_xpt.c
+++ b/sys/cam/ata/ata_xpt.c
@@ -458,18 +458,12 @@ negotiate:
 		    0, 0x02);
 		break;
 	case PROBE_SETAN:
-		/* 
-		 * Only ATAPI defines this bit to mean AEN, but remember
-		 * what transport thinks about AEN.
-		 */
-		if ((softc->caps & CTS_SATA_CAPS_H_AN) && 
-		    periph->path->device->protocol == PROTO_ATAPI)
+		/* Remember what transport thinks about AEN. */
+		if (softc->caps & CTS_SATA_CAPS_H_AN)
 			path->device->inq_flags |= SID_AEN;
 		else
 			path->device->inq_flags &= ~SID_AEN;
 		xpt_async(AC_GETDEV_CHANGED, path, NULL);
-		if (periph->path->device->protocol != PROTO_ATAPI)
-			break;
 		cam_fill_ataio(ataio,
 		    1,
 		    probedone,
@@ -1057,7 +1051,8 @@ noerror:
 		}
 		/* FALLTHROUGH */
 	case PROBE_SETDMAAA:
-		if ((ident_buf->satasupport & ATA_SUPPORT_ASYNCNOTIF) &&
+		if (path->device->protocol != PROTO_ATA &&
+		    (ident_buf->satasupport & ATA_SUPPORT_ASYNCNOTIF) &&
 		    (!(softc->caps & CTS_SATA_CAPS_H_AN)) !=
 		    (!(ident_buf->sataenabled & ATA_SUPPORT_ASYNCNOTIF))) {
 			PROBE_SET_ACTION(softc, PROBE_SETAN);
@@ -1178,7 +1173,7 @@ notsata:
 		else
 			caps = 0;
 		/* Remember what transport thinks about AEN. */
-		if (caps & CTS_SATA_CAPS_H_AN)
+		if ((caps & CTS_SATA_CAPS_H_AN) && path->device->protocol != PROTO_ATA)
 			path->device->inq_flags |= SID_AEN;
 		else
 			path->device->inq_flags &= ~SID_AEN;
